/* ignore.h: routines for ignoring fools
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * Copyright (C) 2003 Matthew Kennedy
 */

#ifndef IGNORE_H
#define IGNORE_H

#include <stdio.h>

typedef enum 
  {
    IGNORE_ERROR = -1,
    IGNORE_OK = 0,
    IGNORE_EXISTS = 1,
    IGNORE_NONEXISTS = 2,
    IGNORE_IGNORABLE = 3
  } ignore_ret_t;

extern ignore_ret_t ignore_init();
extern ignore_ret_t ignore_done();

/* returns IGNORE_OK, IGNORE_EXISTS, IGNORE_ERROR */
extern ignore_ret_t ignore_add(char *username);

/* returns IGNORE_OK, IGNORE_NONEXISTS, IGNORE_ERROR */
extern ignore_ret_t ignore_delete(char *username);

extern ignore_ret_t ignore_is_ignorable(char *username);

#endif
