
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <db.h>

#define LINE_MAX 1024

static DB *dbp;

int
main(int argc, char *argv[])
{
  int ret;
  char buffer[LINE_MAX];
  DBT key, data;
  
  if (argc != 2)
    goto error_args;
  
  ret = db_create(&dbp, NULL,0);
  if (ret != 0)
    {
      fprintf(stderr, "db_create: %s\n", db_strerror(ret));
      goto error_create;
    }
  ret = dbp->open(dbp, argv[1], NULL, DB_BTREE, DB_CREATE, 0644);
  if (ret != 0)
    {
      fprintf(stderr, "db_open: %s\n", db_strerror(ret));
      goto error_open;
    }
  
  while (fgets(buffer, LINE_MAX, stdin) != NULL)
    {
      memset(&key, 0, sizeof(key));
      memset(&data, 0, sizeof(data));
      key.data = buffer;
      key.size = strlen(buffer);
      data.data = "";
      data.size = 0;
      ret = dbp->put(dbp, NULL, &key, &data, 0);
      if (ret != 0)
	goto error_put;
    }
  if (ferror(stdin))
    goto error_fgets;

  dbp->close(dbp, 0);

  return EXIT_SUCCESS;

 error_put:
 error_fgets:
  dbp->close(dbp, 0);
 error_open:
 error_create:
 error_args:
  return EXIT_FAILURE;
}
